Package com.ngrok.services

# Class ReservedDomains

java.lang.Object
com.ngrok.services.ReservedDomains

public class ReservedDomains extends Object
Reserved Domains are hostnames that you can listen for traffic on. Domains can be used to listen for http, https or tls traffic. You may use a domain that you own by creating a CNAME record specified in the returned resource. This CNAME record points traffic for that domain to ngrok's edge servers. See also https://ngrok.com/docs/api#api-reserved-domains.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `ReservedDomains.CreateCallBuilder`
  A builder object encapsulating state for an unsent Create API call.
  `class`
  `ReservedDomains.DeleteCallBuilder`
  A builder object encapsulating state for an unsent Delete API call.
  `class`
  `ReservedDomains.DeleteCertificateCallBuilder`
  A builder object encapsulating state for an unsent DeleteCertificate API call.
  `class`
  `ReservedDomains.DeleteCertificateManagementPolicyCallBuilder`
  A builder object encapsulating state for an unsent DeleteCertificateManagementPolicy API call.
  `class`
  `ReservedDomains.GetCallBuilder`
  A builder object encapsulating state for an unsent Get API call.
  `class`
  `ReservedDomains.ListCallBuilder`
  A builder object encapsulating state for an unsent List API call.
  `class`
  `ReservedDomains.UpdateCallBuilder`
  A builder object encapsulating state for an unsent Update API call.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReservedDomains(NgrokApiClient apiClient)`
  Creates a new sub-client for ReservedDomains.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReservedDomains.CreateCallBuilder`
  `create(String name)`
  Create a new reserved domain.
  `ReservedDomains.DeleteCallBuilder`
  `delete(String id)`
  Delete a reserved domain.
  `ReservedDomains.DeleteCertificateCallBuilder`
  `deleteCertificate(String id)`
  Detach the certificate attached to a reserved domain.
  `ReservedDomains.DeleteCertificateManagementPolicyCallBuilder`
  `deleteCertificateManagementPolicy(String id)`
  Detach the certificate management policy attached to a reserved domain.
  `ReservedDomains.GetCallBuilder`
  `get(String id)`
  Get the details of a reserved domain.
  `ReservedDomains.ListCallBuilder`
  `list()`
  List all reserved domains on this account.
  `ReservedDomains.UpdateCallBuilder`
  `update(String id)`
  Update the attributes of a reserved domain.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReservedDomains

    public ReservedDomains(NgrokApiClient apiClient)
    Creates a new sub-client for ReservedDomains.
    Parameters:
      `apiClient` - an instance of `NgrokApiClient`

- ## Method Details

  - ### create

    public ReservedDomains.CreateCallBuilder create(String name)
    Create a new reserved domain. See also https://ngrok.com/docs/api#api-reserved-domains-create.
    Parameters:
      `name` - the domain name to reserve. It may be a full domain name like app.example.com. If the name does not contain a '.' it will reserve that subdomain on ngrok.io.
    Returns:
      a call builder for this API call

  - ### delete

    public ReservedDomains.DeleteCallBuilder delete(String id)
    Delete a reserved domain. See also https://ngrok.com/docs/api#api-reserved-domains-delete.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### get

    public ReservedDomains.GetCallBuilder get(String id)
    Get the details of a reserved domain. See also https://ngrok.com/docs/api#api-reserved-domains-get.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### list

    public ReservedDomains.ListCallBuilder list()
    List all reserved domains on this account. See also https://ngrok.com/docs/api#api-reserved-domains-list.
    Returns:
      a call builder for this API call

  - ### update

    public ReservedDomains.UpdateCallBuilder update(String id)
    Update the attributes of a reserved domain. See also https://ngrok.com/docs/api#api-reserved-domains-update.
    Parameters:
      `id` - the value of the `id` parameter as a `String`
    Returns:
      a call builder for this API call

  - ### deleteCertificateManagementPolicy

    public ReservedDomains.DeleteCertificateManagementPolicyCallBuilder deleteCertificateManagementPolicy(String id)
    Detach the certificate management policy attached to a reserved domain. See also https://ngrok.com/docs/api#api-reserved-domains-delete-certificate-management-policy.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### deleteCertificate

    public ReservedDomains.DeleteCertificateCallBuilder deleteCertificate(String id)
    Detach the certificate attached to a reserved domain. See also https://ngrok.com/docs/api#api-reserved-domains-delete-certificate.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call